#!/bin/bash

# 対象ディレクトリと出力ファイル名を引数で指定
if [ $# -ne 2 ]; then
    echo "Usage: $0 [target_directory] [output_file]"
    exit 1
fi

target_directory=$1
output_file=$2

# 出力ファイルが存在する場合は削除
if [ -e "$output_file" ]; then
    rm "$output_file"
fi

# 再帰的に対象ディレクトリ内のファイルを処理
process_files() {
    local dir=$1
    for file in "$dir"/*; do
        if [ -d "$file" ]; then
            process_files "$file"
        elif [ -f "$file" ]; then
            echo "==== File path: $file ====" >> "$output_file"
            cat "$file" >> "$output_file"
            echo -e "\n" >> "$output_file"
        fi
    done
}

process_files "$target_directory"

echo "Contents and paths of all files in '$target_directory' have been saved to '$output_file'."